Installed but not playing

General discussions
Post Reply
mrchumpley
Posts: 5
Joined: Thu May 20, 2021 11:25 am

Installed but not playing

Post by mrchumpley »

I want to stream music from my computer (Linux Ubuntu 20.04) via ethernet connection to Raspberry Pi 4B/HiFiBerry DAC2 HD with piCorePlayer software.
I successfully installed Guayadeque (thanks to this forum!) and uploaded my music to the library. My router recognises the Pi and has allocated an IP address. I have added this address to the Playback preferences after selecting ALSA.
Yet, when I select a track in the library and press play it doesn't load the track or play it. Likewise, when I choose a radio station it doesn't play it.
So so close, and yet nothing.
I don't understand why Guayadeque isn't playing the music which it clearly identifies on the system?
Changing the Playback options doesn't seem to make any difference.

Any help most gratefully received.
User avatar
anonbeat
Posts: 2026
Joined: Thu Sep 16, 2010 9:47 pm

Re: Installed but not playing

Post by anonbeat »

Hello and welcome,
can you post the output running guayadeque from console ? Its to check what errors or warnings its giving.
mrchumpley
Posts: 5
Joined: Thu May 20, 2021 11:25 am

Re: Installed but not playing

Post by mrchumpley »

Thanks for the speedy reply!

Actually I'm not getting any error messages. When I double click a track, nothing happens. When I right click and select play, nothing happens.

When I tried the radio it seems to think it's playing it (as the button controls in top left changed the play to pause and it says "playing...' and the URL, but it's obviously not processing anything from what I can see as the VU meters are doing nothing. I did have a brief message at the top of the screen saying that a network error had occured with Guayadeque but it was just a flash message and it was only when I tried to play the radio.

Is there anything I can do in Terminal to interrogate things?

Thanks - I'm gutted as it looks like a brilliant program.
mrchumpley
Posts: 5
Joined: Thu May 20, 2021 11:25 am

Re: Installed but not playing

Post by mrchumpley »

Hi - I realised what it was you wanted me to do (or thought would be helpful anyway)

Running in Terminal gives me this:

Starting program: /usr/bin/guayadeque
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7ffff0e34700 (LWP 89988)]
[New Thread 0x7fffebfff700 (LWP 89989)]
[New Thread 0x7fffeb7fe700 (LWP 89990)]
18:01:51: Initialized locale ( en_GB )
18:01:51: Mount Added...
18:01:51: Mount Path: /media/nevil/Big Drive/
18:01:51: IconStr: '. GThemedIcon drive-harddisk drive drive-harddisk-symbolic drive-symbolic'
18:01:51: Mount Added...
18:01:51: Mount Path: /media/nevil/Seagate Portable Drive/
18:01:51: IconStr: '. GThemedIcon drive-harddisk-usb drive-harddisk drive drive-harddisk-usb-symbolic drive-harddisk-symbolic drive-symbolic'
18:01:51: MediaViewer 'My Music' => '60A6584F'
18:01:51: Library Db Version 21
18:01:51: SetViewMode -1 => 0

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.432: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.432: gtk_widget_set_size_request: assertion 'height >= -1' failed
18:01:53: guLibPanel::IniPanelData( 13101 )
18:01:53: guLibPanel::DoTextSearch( '' )

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.457: gtk_widget_set_size_request: assertion 'height >= -1' failed
18:01:53: Mount: 'Big Drive' => '/media/nevil/Big Drive/'
18:01:53: Mount: 'Seagate Portable Drive' => '/media/nevil/Seagate Portable Drive/'

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.614: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.614: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.615: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.660: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.660: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.669: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.669: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.670: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.683: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.683: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.684: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.684: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.684: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.684: gtk_widget_set_size_request: assertion 'height >= -1' failed
18:01:53: OnCollectionCommand 13100 0 0 1

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.685: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.685: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.686: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.686: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.686: gtk_widget_set_size_request: assertion 'height >= -1' failed
18:01:53: Mount: 'Big Drive' => '/media/nevil/Big Drive/'
18:01:53: Mount: 'Seagate Portable Drive' => '/media/nevil/Seagate Portable Drive/'

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.692: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.692: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.693: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.693: gtk_widget_set_size_request: assertion 'height >= -1' failed

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.693: gtk_widget_set_size_request: assertion 'height >= -1' failed
[New Thread 0x7fffeae0b700 (LWP 89991)]
18:01:53: MainFrame.Size( 1815, 951 ) -1
[New Thread 0x7fffea60a700 (LWP 89994)]
[New Thread 0x7fffe9e09700 (LWP 89996)]
18:01:53: MainFrame.Size( 1815, 951 ) -1
[New Thread 0x7fffe919e700 (LWP 89997)]

(guayadeque:89984): Gtk-WARNING **: 18:01:53.842: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 18:01:53.842: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale
18:01:54: MainFrame.Size( 1848, 1053 ) -1
18:01:54: guMainFrame::OnMountMonitorUpdated
18:01:54: Mount: 'Big Drive' => '/media/nevil/Big Drive/'
18:01:54: Mount: 'Seagate Portable Drive' => '/media/nevil/Seagate Portable Drive/'
18:01:54: guMainFrame::OnMountMonitorUpdated
18:01:54: Mount: 'Big Drive' => '/media/nevil/Big Drive/'
18:01:54: Mount: 'Seagate Portable Drive' => '/media/nevil/Seagate Portable Drive/'
18:01:54: Updating the podcasts...
18:01:54: Indicators_Sound_Available() => 0

(guayadeque:89984): Gtk-WARNING **: 18:01:54.144: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 18:01:54.144: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 18:01:54.220: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 18:01:54.220: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale
[Thread 0x7fffea60a700 (LWP 89994) exited]
[Thread 0x7fffeb7fe700 (LWP 89990) exited]
[Thread 0x7fffe9e09700 (LWP 89996) exited]


I'm afraid it means very little to me, other than it looks like some stuff is missing?

Does that help?

Many thanks

Nevil
User avatar
anonbeat
Posts: 2026
Joined: Thu Sep 16, 2010 9:47 pm

Re: Installed but not playing

Post by anonbeat »

You tried to play a file ?
mrchumpley
Posts: 5
Joined: Thu May 20, 2021 11:25 am

Re: Installed but not playing

Post by mrchumpley »

This is what showed when I tried to play a file:

(guayadeque:89984): Gtk-WARNING **: 22:00:24.991: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:00:24.991: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale
22:00:30: SOListBox::GetSelectedTracks <- 1
22:00:30: Error: ee: Failed load of file 'file:///media/nevil/Seagate Portable Drive/Albeniz/Albeniz; Música Para Piano III [Larrocha] Disc 1/Albeniz - 01 - Iberia Suite, for piano, B. 47; 1. Evocación.wav'

(guayadeque:89984): Gtk-WARNING **: 22:00:31.058: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:00:31.058: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:00:35.923: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:00:35.923: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:00:36.001: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:00:36.001: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:00:36.098: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:00:36.098: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:00:36.181: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:00:36.181: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:08.844: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:08.845: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:10.582: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:10.582: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:10.650: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:10.650: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:10.715: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:10.715: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:10.780: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:10.780: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:10.847: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:10.847: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:23.532: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:23.532: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:25.208: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:25.208: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:25.285: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:25.285: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:25.354: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:25.354: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale

(guayadeque:89984): Gtk-WARNING **: 22:01:25.450: Negative content width -23 (allocation 1, extents 12x12) while allocating gadget (node scale, owner GtkScale)

(guayadeque:89984): Gtk-CRITICAL **: 22:01:25.450: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScale


Cheers
Nevil
User avatar
anonbeat
Posts: 2026
Joined: Thu Sep 16, 2010 9:47 pm

Re: Installed but not playing

Post by anonbeat »

Do you have the gstreamer plugins installed ? try adding them with

Code: Select all

sudo apt install gstreamer1.0-plugins-good gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly
mrchumpley
Posts: 5
Joined: Thu May 20, 2021 11:25 am

Re: Installed but not playing

Post by mrchumpley »

I ran that but it tells me I already had them installed as latest versions and hasn't made any difference.

Here is the code:

Code: Select all

gstreamer1.0-plugins-good is already the newest version (1.16.2-1ubuntu2).
gstreamer1.0-plugins-bad is already the newest version (1.16.2-2.1ubuntu1).
gstreamer1.0-plugins-ugly is already the newest version (1.16.2-2build1).
gstreamer1.0-plugins-ugly set to manually installed.
The following packages were automatically installed and are no longer required:
  g++-7 gcc-8-base:i386 gir1.2-geocodeglib-1.0 gir1.2-mutter-2
  libappindicator1 libargon2-0 libaribb24-0 libarmadillo8 libavdevice57
  libavfilter6 libavresample3 libbasicusageenvironment1 libbind9-160
  libboost-filesystem1.65.1 libboost-iostreams1.65.1 libboost-locale1.65.1
  libboost-regex1.65.1 libboost-system1.65.1 libboost-thread1.65.1
  libcapnp-0.6.1 libcddb2 libcdio17 libcharls1 libcomerr2:i386
  libdns-export1100 libdns1100 libdouble-conversion1 libdvbpsi10 libdvdread4
  libebml4v5 libel-api-java libevent-2.1-6 libffi6:i386 libfluidsynth1
  libgdbm5 libgdcm2.8 libgeotiff2 libgfortran4 libgl1-mesa-glx:i386 libglew2.0
  libgmime-3.0-0 libgnome-desktop-3-17 libgroupsock8 libgspell-1-1
  libgssdp-1.0-3 libgupnp-1.0-4 libgweather-3-15 libhfstospell10
  libhogweed4:i386 libhsqldb1.8.0-java libhunspell-1.6-0 libicu60:i386
  libindicator7 libip4tc0 libip6tc0 libiptc0 libirs160 libisc-export169
  libisc169 libisccc160 libisccfg160 libisl19 libjemalloc1 libjson-c3
  libjsp-api-java libjte1 libkf5auth-data libkf5auth5 libkf5authcore5
  libkf5configwidgets-data libkf5dbusaddons-bin libkf5dbusaddons-data
  libkf5doctools5 libkf5iconthemes-data libkf5jobwidgets-data
  libkf5jobwidgets5 libkf5kiontlm5 libkf5notifications-data
  libkf5notifications5 libkf5service-data libkf5solid5 libkf5solid5-data
  libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5 libkf5textwidgets-data
  libkf5wallet-data libkf5wallet5 libkwalletbackend5-5 liblivemedia62
  liblivemedia77 libllvm6.0 libllvm7 libllvm8 libllvm9 libllvm9:i386
  liblog4cplus-1.1-9 liblwres160 libmagick++-6.q16-7 libmagickcore-6.q16-3
  libmagickcore-6.q16-3-extra libmagickwand-6.q16-3 libmatroska6v5
  libmicrodns0 libmozjs-52-0 libmutter-2-0 libmysofa0 libmysqlclient20
  libnettle6:i386 libnfs11 libnss-myhostname libopencv-core3.2
  libopencv-imgproc3.2 libopenmpt-modplug1 libopenshot14 libopenvdb5.0
  liborcus-0.13-0 libperl5.26 libphonon4qt5-4 libphonon4qt5-data libplacebo4
  libplacebo7 libpolkit-qt5-1-1 libpoppler73 libpostproc54 libprocps6
  libproj12 libprotobuf-lite10 libprotobuf10 libproxy-tools libpython3.6
  libpython3.6-minimal libpython3.6-stdlib libqgis-3d3.16.3 libqgis-3d3.18.0
  libqgis-3d3.18.1 libqgis-3d3.18.2 libqgis-analysis3.16.3
  libqgis-analysis3.18.0 libqgis-analysis3.18.1 libqgis-analysis3.18.2
  libqgis-app3.16.3 libqgis-app3.18.0 libqgis-app3.18.1 libqgis-app3.18.2
  libqgis-core3.16.3 libqgis-core3.18.0 libqgis-core3.18.1 libqgis-core3.18.2
  libqgis-gui3.16.3 libqgis-gui3.18.0 libqgis-gui3.18.1 libqgis-gui3.18.2
  libqgis-native3.16.3 libqgis-native3.18.0 libqgis-native3.18.1
  libqgis-native3.18.2 libqgis-server3.16.3 libqgis-server3.18.0
  libqgis-server3.18.1 libqgis-server3.18.2 libqgisgrass7-3.16.3
  libqgisgrass7-3.18.0 libqgisgrass7-3.18.1 libqgisgrass7-3.18.2
  libqgispython3.16.3 libqgispython3.18.0 libqgispython3.18.1
  libqgispython3.18.2 libqgsttools-p1 libqpdf21 libqt5multimedia5-plugins
  libqt5multimediagsttools5 libqt5multimediaquick-p5 libqt5multimediawidgets5
  libqt5script5 libqt5texttospeech5 libreadline7 libsane1:i386 libsdl-image1.2
  libservlet-api-java libservlet3.1-java libsndio6.1:i386 libspatialaudio0
  libspeexdsp1:i386 libssh2-1 libstdc++-7-dev libupnp6 libusageenvironment3
  libvlc-bin libvlc5 libvlccore9 libwebsocket-api-java libyaml-cpp0.5v5 nplan
  python-gobject-2 python3-asn1crypto python3-scour python3-xapian
  python3-zope.interface python3.6 python3.6-minimal scour vlc-data
  vlc-plugin-video-output
Use 'sudo apt autoremove' to remove them.
0 to upgrade, 0 to newly install, 0 to remove and 1 not to upgrade.
Anything else I could try?

Cheers
Post Reply